import { __decorate } from 'tslib';
import { Pipe, Component, NgModule } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { map } from 'rxjs/operators';
import { HttpClient } from '@angular/common/http';

let TranslateInPipe = class TranslateInPipe {
    constructor(translate, http) {
        this.translate = translate;
        this.http = http;
    }
    transform(key, lang) {
        const translatein = this.translate.getLangs().includes(lang)
            ? lang
            : this.translate.currentLang;
        return this.http.get(`/assets/i18n/${translatein}.json`).pipe(map((res) => {
            let translation = res;
            key.split('.').forEach((k) => {
                translation = translation[k];
            });
            return translation;
        }));
    }
};
TranslateInPipe.ctorParameters = () => [
    { type: TranslateService },
    { type: HttpClient }
];
TranslateInPipe = __decorate([
    Pipe({
        name: 'translateIn',
    })
], TranslateInPipe);

let NgxTranslateInComponent = class NgxTranslateInComponent {
    constructor() { }
    ngOnInit() {
    }
};
NgxTranslateInComponent = __decorate([
    Component({
        selector: 'lib-ngx-translate-in',
        template: `
    <p>
      ngx-translate-in works!
    </p>
  `
    })
], NgxTranslateInComponent);

let NgxTranslateInModule = class NgxTranslateInModule {
};
NgxTranslateInModule = __decorate([
    NgModule({
        declarations: [NgxTranslateInComponent, TranslateInPipe],
        imports: [],
        exports: [NgxTranslateInComponent, TranslateInPipe],
    })
], NgxTranslateInModule);

/*
 * Public API Surface of ngx-translate-in
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxTranslateInModule, TranslateInPipe, NgxTranslateInComponent as ɵa };
//# sourceMappingURL=ngx-translate-in.js.map
