import { __decorate } from 'tslib';
import { Pipe, Component, NgModule } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { map } from 'rxjs/operators';
import { HttpClient } from '@angular/common/http';

var TranslateInPipe = /** @class */ (function () {
    function TranslateInPipe(translate, http) {
        this.translate = translate;
        this.http = http;
    }
    TranslateInPipe.prototype.transform = function (key, lang) {
        var translatein = this.translate.getLangs().includes(lang)
            ? lang
            : this.translate.currentLang;
        return this.http.get("/assets/i18n/" + translatein + ".json").pipe(map(function (res) {
            var translation = res;
            key.split('.').forEach(function (k) {
                translation = translation[k];
            });
            return translation;
        }));
    };
    TranslateInPipe.ctorParameters = function () { return [
        { type: TranslateService },
        { type: HttpClient }
    ]; };
    TranslateInPipe = __decorate([
        Pipe({
            name: 'translateIn',
        })
    ], TranslateInPipe);
    return TranslateInPipe;
}());

var NgxTranslateInComponent = /** @class */ (function () {
    function NgxTranslateInComponent() {
    }
    NgxTranslateInComponent.prototype.ngOnInit = function () {
    };
    NgxTranslateInComponent = __decorate([
        Component({
            selector: 'lib-ngx-translate-in',
            template: "\n    <p>\n      ngx-translate-in works!\n    </p>\n  "
        })
    ], NgxTranslateInComponent);
    return NgxTranslateInComponent;
}());

var NgxTranslateInModule = /** @class */ (function () {
    function NgxTranslateInModule() {
    }
    NgxTranslateInModule = __decorate([
        NgModule({
            declarations: [NgxTranslateInComponent, TranslateInPipe],
            imports: [],
            exports: [NgxTranslateInComponent, TranslateInPipe],
        })
    ], NgxTranslateInModule);
    return NgxTranslateInModule;
}());

/*
 * Public API Surface of ngx-translate-in
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxTranslateInModule, TranslateInPipe, NgxTranslateInComponent as ɵa };
//# sourceMappingURL=ngx-translate-in.js.map
